#!/usr/bin/gawk -f

BEGIN{
  D0 = 0.001;  # km

  i = 0;
  j = 0;
  last = 0.0;
}
(NF>0){
  i++;
  t[i] = $1;
  D[i] = $2;
  N_gt_D[i] = $3;
}
(NF==0){
  PRN();
}
END{
  PRN();
}

func PRN(){
  if (i < 2) { return; }
  n = i;
  i = 0;

  N0 = loginterp(D,N_gt_D,n,D0,extra);

  if (t[1] < last) { print ""; j++; }
  last = t[1];

  print t[1], D0, N0, j;
}

# i.e., for reverse sort order!

func loginterp(x,y,n,x0,extra, i){

  if (x0 > x[1]) {
    extra = 1;
    i = 2;
  } else if (x0 < x[n]) {
    extra = 1;
    i = n;
  } else {
    extra = 0;
    i = 2;
    while (x0 < x[i]) { i++; }
  }

  y0 = 10.0**( log10(y[i-1]) + (log10(y[i])-log10(y[i-1])) * (log10(x0)-log10(x[i-1]))/(log10(x[i])-log10(x[i-1])) )

  return y0;
}

function log10(x) {
  return log(x)/log(10);
}


