#!/usr/bin/gnuplot

km = 1.e3
B = 84.5e3  # y
beta1 = 0.83
beta2 = 1.33
omega0 = 3.49e-4  # rad s^-1
D0 = 2.0  # m
D1 = 10.0e3  # m

omega(D) = D > D1 ? omega0 : omega0*(D/D1)**(-1.0)
tau_reor(D,omega) = B*(omega/omega0)**beta1*(D/D0)**beta2

P0 = 2.*pi/omega0
print "P0 = ", P0, " s = ", P0/3600., " h"

set xl "D [km]"
set yl "single-body lifetime [yr]"
set y2l "omega [rad s^-1]"

set yr [1e3:]
set xtics 10
set ytics 10
set mxtics 10
set mytics 10
set tics format "10^{%T}"
set logscale xy
set logscale y2
set ytics nomirror
set y2tics

set arrow from 1.0,graph 0 rto 0.0,graph 1 nohead lt 0
set arrow from 1.0e-3,graph 0 rto 0.0,graph 1 nohead lt 0
set arrow from graph 0,first B rto graph 1,first 0 nohead lt 0
set arrow from D0/1.e3,graph 0 rto 0,graph 1 nohead lt 0

p "lifetime.out" u 1:5 w lp,\
  tau_reor(x*km,omega(x*km)),\
  tau_reor(x*km,omega0) dt 2,\
  omega(x*km) ax x1y2 dt 2

pa -1

set term png small
set out "reorient.png"
rep


