#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0000.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 0.000"
set nolabel
set label "t = 0.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0000.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0000.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0000.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0000.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0000.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0001.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 1.000"
set nolabel
set label "t = 1.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0001.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0001.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0001.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0001.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0001.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0002.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 2.000"
set nolabel
set label "t = 2.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0002.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0002.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0002.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0002.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0002.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0003.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 3.000"
set nolabel
set label "t = 3.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0003.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0003.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0003.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0003.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0003.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0004.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 4.000"
set nolabel
set label "t = 4.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0004.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0004.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0004.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0004.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0004.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0005.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 5.000"
set nolabel
set label "t = 5.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0005.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0005.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0005.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0005.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0005.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0006.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 6.000"
set nolabel
set label "t = 6.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0006.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0006.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0006.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0006.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0006.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0007.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 7.000"
set nolabel
set label "t = 7.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0007.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0007.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0007.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0007.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0007.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0008.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 8.000"
set nolabel
set label "t = 8.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0008.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0008.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0008.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0008.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0008.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0009.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 9.000"
set nolabel
set label "t = 9.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0009.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0009.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0009.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0009.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0009.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0010.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 10.000"
set nolabel
set label "t = 10.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0010.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0010.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0010.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0010.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0010.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0011.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 11.000"
set nolabel
set label "t = 11.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0011.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0011.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0011.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0011.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0011.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0012.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 12.000"
set nolabel
set label "t = 12.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0012.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0012.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0012.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0012.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0012.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0013.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 13.000"
set nolabel
set label "t = 13.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0013.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0013.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0013.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0013.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0013.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0014.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 14.000"
set nolabel
set label "t = 14.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0014.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0014.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0014.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0014.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0014.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0015.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 15.000"
set nolabel
set label "t = 15.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0015.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0015.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0015.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0015.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0015.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0016.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 16.000"
set nolabel
set label "t = 16.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0016.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0016.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0016.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0016.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0016.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0017.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 17.000"
set nolabel
set label "t = 17.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0017.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0017.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0017.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0017.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0017.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0018.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 18.000"
set nolabel
set label "t = 18.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0018.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0018.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0018.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0018.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0018.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0019.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 19.000"
set nolabel
set label "t = 19.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0019.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0019.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0019.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0019.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0019.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0020.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 20.000"
set nolabel
set label "t = 20.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0020.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0020.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0020.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0020.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0020.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0021.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 21.000"
set nolabel
set label "t = 21.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0021.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0021.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0021.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0021.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0021.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0022.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 22.000"
set nolabel
set label "t = 22.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0022.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0022.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0022.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0022.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0022.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0023.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 23.000"
set nolabel
set label "t = 23.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0023.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0023.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0023.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0023.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0023.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0024.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 24.000"
set nolabel
set label "t = 24.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0024.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0024.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0024.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0024.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0024.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0025.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 25.000"
set nolabel
set label "t = 25.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0025.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0025.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0025.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0025.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0025.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0026.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 26.000"
set nolabel
set label "t = 26.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0026.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0026.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0026.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0026.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0026.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0027.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 27.000"
set nolabel
set label "t = 27.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0027.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0027.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0027.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0027.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0027.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0028.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 28.000"
set nolabel
set label "t = 28.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0028.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0028.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0028.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0028.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0028.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0029.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 29.000"
set nolabel
set label "t = 29.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0029.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0029.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0029.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0029.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0029.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0030.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 30.000"
set nolabel
set label "t = 30.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0030.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0030.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0030.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0030.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0030.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0031.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 31.000"
set nolabel
set label "t = 31.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0031.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0031.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0031.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0031.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0031.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0032.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 32.000"
set nolabel
set label "t = 32.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0032.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0032.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0032.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0032.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0032.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0033.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 33.000"
set nolabel
set label "t = 33.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0033.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0033.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0033.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0033.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0033.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0034.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 34.000"
set nolabel
set label "t = 34.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0034.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0034.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0034.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0034.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0034.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0035.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 35.000"
set nolabel
set label "t = 35.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0035.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0035.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0035.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0035.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0035.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0036.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 36.000"
set nolabel
set label "t = 36.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0036.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0036.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0036.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0036.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0036.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0037.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 37.000"
set nolabel
set label "t = 37.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0037.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0037.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0037.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0037.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0037.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0038.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 38.000"
set nolabel
set label "t = 38.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0038.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0038.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0038.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0038.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0038.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0039.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 39.000"
set nolabel
set label "t = 39.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0039.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0039.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0039.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0039.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0039.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0040.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 40.000"
set nolabel
set label "t = 40.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0040.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0040.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0040.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0040.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0040.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0041.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 41.000"
set nolabel
set label "t = 41.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0041.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0041.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0041.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0041.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0041.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0042.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 42.000"
set nolabel
set label "t = 42.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0042.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0042.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0042.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0042.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0042.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0043.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 43.000"
set nolabel
set label "t = 43.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0043.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0043.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0043.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0043.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0043.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0044.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 44.000"
set nolabel
set label "t = 44.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0044.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0044.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0044.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0044.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0044.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0045.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 45.000"
set nolabel
set label "t = 45.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0045.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0045.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0045.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0045.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0045.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0046.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 46.000"
set nolabel
set label "t = 46.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0046.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0046.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0046.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0046.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0046.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0047.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 47.000"
set nolabel
set label "t = 47.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0047.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0047.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0047.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0047.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0047.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0048.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 48.000"
set nolabel
set label "t = 48.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0048.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0048.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0048.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0048.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0048.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0049.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 49.000"
set nolabel
set label "t = 49.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0049.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0049.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0049.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0049.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0049.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



#!/usr/bin/gnuplot

set colors classic
set term pngcairo size 1024,1024 enhanced font "Helvetica,18"
set out "png/sfd_0050.000.png"

set xl "{/Helvetica-Oblique D} [km]"
set yl "{/Helvetica-Oblique N}(>{/Helvetica-Oblique D})" offset -0.5

set xr [10.e-9:1000]
y1=0.8*1
y2=1.e26
set yr [y1:y2]
set logscale xy
set xtics 10
set mxtics 10
set ytics 10
set mytics 10
set xtics format "10^{%T}"
set ytics format "10^{%T}"

print "t = 50.000"
set nolabel
set label "t = 50.000 My" at graph 0.05,graph 0.15

set arrow from 1.0,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 0.001,graph 0 rto 0,graph 1 nohead lt 0
set arrow from 100.e-9,graph 0 rto 0,graph 1 nohead lt 0

set arrow from 1.0e-3,200e8 to 1.0e-3,300e8 heads lc 'black' front size graph 0.01,90 fixed

p \
  "<./hc_sfd.awk ../src/sfd1.dat_EDITED" u 1:2 t "initial MB"       w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd2.dat_EDITED" u 1:2 t "initial NEO"      w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd3.dat_EDITED" u 1:2 t "initial Koronis2" w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd4.dat_EDITED" u 1:2 t "initial Veritas"  w l lc 'gray',\
  "<./hc_sfd.awk ../src/sfd5.dat_EDITED" u 1:2 t "initial Karin"    w l lc 'gray',\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' ../*[0-9]*/tmp/0050.000.out | ./hc.awk" u 1:2 t "evolved MB"       w lp pt 1 lc '#0066ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==2)' ../*[0-9]*/tmp/0050.000.out | ./hc.awk" u 1:2 t "evolved NEO"      w lp pt 1 lc 'orange',\
  "<awk '(FNR==1){ print \"\"; } ($2==3)' ../*[0-9]*/tmp/0050.000.out | ./hc.awk" u 1:2 t "evolved Koronis2" w lp pt 1 lc '#dd00ff',\
  "<awk '(FNR==1){ print \"\"; } ($2==4)' ../*[0-9]*/tmp/0050.000.out | ./hc.awk" u 1:2 t "evolved Veritas"  w lp pt 1 lc '#0000aa',\
  "<awk '(FNR==1){ print \"\"; } ($2==5)' ../*[0-9]*/tmp/0050.000.out | ./hc.awk" u 1:2 t "evolved Karin"    w lp pt 1 lc '#ffaaff',\
  "../../dat/Bottke_etal_2015.dat" u (10.**$1):(10.**$2) t "Bottke etal. (2015)" w p pt 7 lc 'gray',\
  "../../dat/Harris_etal_2015.dat" u (10.**$1):(10.**$2) t "Harris etal. (2015)" w p pt 7 lc 'gray',\
  "<awk '($1>-1) && ($1<0.2)' ../../dat/Gladman_etal_2009.dat" u (10.**$1):(10.**$2*1.5) not w p pt 7 lc 'gray',\
  "../src/MB_2018.dat_hc"             u 1:2 w l lw 2 lc 'gray' t "observed MB",\
  "../src/158_Koronis2_family.dat_hc" u 1:2 w l lw 2 lc 'gray' t "observed Koronis2",\
  "../src/490_Veritas_family.dat_hc"  u 1:2 w l lw 2 lc 'gray' t "observed Veritas",\
  "../src/832_Karin_family.dat_hc"    u 1:2 w l lw 2 lc 'gray' t "observed Karin",\
  "<echo 100.e-9 1.2e25" w p pt 1 ps 3 lw 3 lc '#0066ff' t "zodiacal cloud",\
  "<echo 100.e-9 2.7e24" w p pt 1 ps 3 lw 3 lc '#0000cc' t "IRAS 9.8{/Symbol\260} band",\
  "<echo 100.e-9 1.3e24" w p pt 1 ps 3 lw 3 lc '#cc00ff' t "IRAS 2.1{/Symbol\260} band"



